### Home Classes Methods

### In Files

- lib/dbus/type.rb

### Namespace

- CLASS DBus::Type::Parser
- CLASS DBus::Type::SignatureException
- CLASS DBus::Type::Type

### Files

- README

### Class/Module Index

Quicksearch

- DBus
- DBus::ASessionBus
- DBus::ASystemBus
- DBus::AuthenticationFailed
- DBus::Authenticator
- DBus::Client
- DBus::Connection
- DBus::Connection::NameRequestError
- DBus::DBusCookieSHA1
- DBus::Error
- DBus::ErrorMessage
- DBus::External
- DBus::FormalParameter
- DBus::IncompleteBufferException
- DBus::Interface
- DBus::InterfaceElement
- DBus::IntrospectXMLParser
- DBus::InvalidClassDefinition
- DBus::InvalidDestinationName
- DBus::InvalidIntrospectionData
- DBus::InvalidMethodName
- DBus::InvalidPacketException
- DBus::InvalidParameters
- DBus::Main
- DBus::MatchRule
- DBus::MatchRuleException
- DBus::Message
- DBus::Method
- DBus::MethodNotImplemented
- DBus::MethodReturnMessage
- DBus::Node
- DBus::Object
- DBus::Object::UndefinedInterface
- DBus::PacketMarshaller
- DBus::PacketUnmarshaller
- DBus::ProxyObject
- DBus::ProxyObjectFactory
- DBus::ProxyObjectInterface
- DBus::RemoteBus
- DBus::Service
- DBus::SessionBus
- DBus::Signal
- DBus::SystemBus
- DBus::Type
- DBus::Type::Parser
- DBus::Type::SignatureException
- DBus::Type::Type
- DBus::TypeException
- DBus::UnknownSignal
- Integer

No matching classes.

# DBus::Type

# D-Bus type module

This module containts the constants of the types specified in the D-Bus protocol.

### Constants

ARRAY
BOOLEAN
BYTE
DICT_ENTRY
DOUBLE
INT16
INT32
INT64
INVALID

  The types.

OBJECT_PATH
SIGNATURE
STRING
STRUCT
TypeName

  Mapping from type number to name.

UINT16
UINT32
UINT64
VARIANT

[Validate]

Generated with the Darkfish Rdoc Generator 2.